# Table of Contents

<!-- START doctoc generated TOC please keep comment here to allow auto update -->
<!-- DON'T EDIT THIS SECTION, INSTEAD RE-RUN doctoc TO UPDATE -->

- [How to Contribute](#how-to-contribute)
  - [🐛 Reporting Bugs](#-reporting-bugs)
  - [💡 Feature Requests](#-feature-requests)
  - [Sending Pull Requests](#sending-pull-requests)
  - [Other Ways to Contribute](#other-ways-to-contribute)

<!-- END doctoc generated TOC please keep comment here to allow auto update -->

# How to Contribute

Thanks for your interest in contributing to
`NodeJS - Federated Relay Object Identification`! Here are a few general
guidelines on contributing and reporting bugs that we ask you to review.
Following these guidelines helps to communicate that you respect the time of the
contributors managing and developing this open source project. In return, they
should reciprocate that respect in addressing your issue, assessing changes, and
helping you finalize your pull requests. In that spirit of mutual respect, we
endeavour to review incoming issues and pull requests within 10 days, and will
close any lingering issues or pull requests after 60 days of inactivity.

Please note that all of your interactions in the project are subject to our
[**Code of Conduct**][code of conduct]. This includes creation of issues or pull
requests, commenting on issues or pull requests, and extends to all interactions
in any real-time space (eg. Slack, Discord, etc).

## 🐛 Reporting Bugs

Before reporting a new issue, please ensure that the issue was not already
reported or fixed by searching through our [**Bugs**][bugs].

When creating a new issue, please be sure to include a **title and clear
description**, as much relevant information as possible, and, if possible, a
test case.

**If you discover a security bug, please do not report it through GitHub.
Instead, please see security procedures in [SECURITY.md](SECURITY.md).**

## 💡 Feature Requests

Please file an issue to suggest new features. Vote on feature requests by adding
a 👍. This helps maintainers prioritize what to work on.

[**See Feature Requests**][requests]

## Sending Pull Requests

Before sending a new pull request, take a look at existing pull requests and
issues to see if the proposed change or fix has been discussed in the past, or
if the change was already implemented but not yet released.

We expect new pull requests to include tests for any affected behavior, and, as
we follow semantic versioning, we may reserve breaking changes until the next
major version release.

Looking to contribute? Look for the [Good First Issue][good-first-issue] label.

## Other Ways to Contribute

We welcome anyone that wants to contribute to
`NodeJS - Federated Relay Object Identification` to triage and reply to open
issues to help troubleshoot and fix existing bugs. Here is what you can do:

- Help ensure that existing issues follows the recommendations from the
  _[Reporting Issues](#reporting-issues)_ section, providing feedback to the
  issue's author on what might be missing.
- Review and update the existing content of our
  [Wiki](https://github.com/wayfair-incubator/node-froid/wiki) with up-to-date
  instructions and code samples.
- Review existing pull requests, and testing patches against real existing
  applications that use `NodeJS - Federated Relay Object Identification`.
- Write a test, or add a missing test case to an existing test.

Thanks again for your interest on contributing to
`NodeJS - Federated Relay Object Identification`!

:heart:

[bugs]:
  https://github.com/wayfair-incubator/node-froid/issues?q=is%3Aissue+is%3Aopen+label%3Abug+sort%3Acreated-desc
[requests]:
  https://github.com/wayfair-incubator/node-froid/issues?q=is%3Aissue+sort%3Areactions-%2B1-desc+label%3Aenhancement+is%3Aopen
[good-first-issue]:
  https://github.com/wayfair-incubator/node-froid/issues?utf8=✓&q=is%3Aissue+is%3Aopen+sort%3Areactions-%2B1-desc+label%3A"good+first+issue"+
[code of conduct]: CODE_OF_CONDUCT.md
